<script setup lang="ts">
import { useI18n } from 'vue-i18n'

interface Emit {
  (e: 'prev'): void
  (e: 'next'): void
}

const { t } = useI18n()

const emit = defineEmits<Emit>()
function handlePrev() {
  emit('prev')
}

function handleNext() {
  emit('next')
}
</script>

<template>
  <div>
    <div>
      <div
        class="border-theme-color bg-active-color flex h-[90px] w-full cursor-pointer flex-col justify-between rounded-[10px] border px-6 py-5"
      >
        <span class="text-font-color">
          {{ t('personal_space_module.knowledge_module.upload_document_module.default_segment_setting_title') }}
        </span>
        <span class="text-gray-font-color text-[13px]">
          {{ t('personal_space_module.knowledge_module.upload_document_module.default_segment_setting_desc') }}
        </span>
      </div>
    </div>

    <div class="mt-14 flex justify-end">
      <NButton @click="handlePrev">{{ t('common_module.prev_btn_text') }}</NButton>
      <NButton type="primary" class="ml-5!" :bordered="false" @click="handleNext">
        {{ t('common_module.next_btn_text') }}
      </NButton>
    </div>
  </div>
</template>
